Platform

Prev Next

Platform JSON Format

Platform is represented as simple flat JSON objects with the following keys:

Name Type Description
id int ID of Platform.
name string Name of Platform.
isDeleted bool Whether the Platform is deleted or not.
systemPlatformConfig array The system config of this Platform.

Get the list of Platforms

GET global/platforms

  • Parameters:

No Paramters

  • Response:

An array of Platform

  • Example

Sample Request:

curl https://partnerapi.comm100.io/v4/global/platforms \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": 100,
      "name": "US",
      "isDeleted": false,
      "systemPlatformConfig": {
          "platformId": 100,
          "controlPanelUrl": "https://dash11.comm100.io",
          "apiUrl": "https://api11.comm100.io",
          "chatServerUrl": "https://chatserver11.comm100.io",
          "chatMaximumOnServerUrl": "https://max11.comm100.io/chatserver",
          "fileServiceServerUrl": "https://file11.comm100download.com",
          "fileStandbyServiceServerUrl": "https://filestandby11.comm100download.com"
      }
  }
] 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.